org.python.core.packagecache

## Class CachedJarsPackageManager.JarXEntry

- java.lang.Object
- - org.python.core.packagecache.CachedJarsPackageManager.JarXEntry

- Enclosing class:
    CachedJarsPackageManager

      public static class CachedJarsPackageManager.JarXEntry
      extends java.lang.Object

  Class of object used to represent a cache file and last modification time, internally and to `CachedJarsPackageManager.outCreateCacheFile(org.python.core.packagecache.CachedJarsPackageManager.JarXEntry, boolean)`. When caching, a `JarXEntry` is created for each JAR processed for classes, and corresponds to a file in the package cache directory. The name is based on the name of the JAR.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `cachefile` Specifies the actual cache file once that is created or opened.
    `long` | `mtime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JarXEntry(java.lang.String cachefile)`
    `JarXEntry(java.lang.String cachefile, long mtime)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cachefile

          public java.lang.String cachefile

      Specifies the actual cache file once that is created or opened.

    - #### mtime

          public long mtime

  - ### Constructor Detail

    - #### JarXEntry

          public JarXEntry(java.lang.String cachefile)

    - #### JarXEntry

          public JarXEntry(java.lang.String cachefile,
                           long mtime)

Jython homepage